Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.ant
Class AntTarget

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.ant.AntTarget

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task

    public class AntTarget

extends org.gradle.api.internal.ConventionTask

A task which executes an Ant target.

Field Summary

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`AntTarget()`

Method Summary
`protected void` | `executeAntTarget()`
`java.io.File` | `getBaseDir()` Returns the Ant project base directory to use when executing the target.
`java.lang.String` | `getDescription()` Returns the description of a task.
`org.apache.tools.ant.Target` | `getTarget()` Returns the Ant target to execute.
`void` | `setBaseDir(java.io.File baseDir)` Sets the Ant project base directory to use when executing the target.
`void` | `setDescription(java.lang.String description)` Adds a text to describe what the task does to the user of the build.
`void` | `setTarget(org.apache.tools.ant.Target target)` Sets the Ant target to execute.

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getOutput, getPath, getProject, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, injectIntoNextInstance, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setConvention, setDependsOn, setDidWork, setEnabled, setExecuted, setName, setOutputHandler, setProject, setProperty, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty`

Constructor Detail

### AntTarget

    public AntTarget()

Method Detail

### executeAntTarget

    protected void executeAntTarget()

### getTarget

    public org.apache.tools.ant.Target getTarget()

  Returns the Ant target to execute.

### setTarget

    public void setTarget(org.apache.tools.ant.Target target)

  Sets the Ant target to execute.

### getBaseDir

    public java.io.File getBaseDir()

  Returns the Ant project base directory to use when executing the target.

### setBaseDir

    public void setBaseDir(java.io.File baseDir)

  Sets the Ant project base directory to use when executing the target.

### getDescription

    public java.lang.String getDescription()

  Returns the description of a task.

  Specified by:
    `getDescription` in interface `Task`
  Overrides:
    `getDescription` in class `org.gradle.api.internal.AbstractTask`
  See Also:
    `Task.setDescription(String)`

### setDescription

    public void setDescription(java.lang.String description)

  Adds a text to describe what the task does to the user of the build. The description will be displayed when `gradle -t` is called.

  Specified by:
    `setDescription` in interface `Task`
  Overrides:
    `setDescription` in class `org.gradle.api.internal.AbstractTask`
  Parameters:
    `description` - The description of the task. Might be null.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD